/********************************** (C) COPYRIGHT *******************************
* File Name          : Main.c
* Author             : kingsley@wc
* Version            : V1.0
* Date               : 2019/5/31
* Description 		 : 
*******************************************************************************/

#include "CH57x_common.h"



void DebugInit(void)		
{
    GPIOA_SetBits(GPIO_Pin_9);
    GPIOA_ModeCfg(GPIO_Pin_8, GPIO_ModeIN_PU);
    GPIOA_ModeCfg(GPIO_Pin_9, GPIO_ModeOut_PP_5mA);
    UART1_DefInit();
}



    
int main()
{     
    
    // bit7 = 1 of R8_GLOB_RESET_KEEP at this boot
    // bit7 = 0 of R8_GLOB_RESET_KEEP at this boot
    // at boot
    //R8_GLOB_RESET_KEEP |= 0x80;
    
    
    
    UINT8  i;
    UINT32 x = 0;
  
  
    DebugInit();
    PRINT( "Start @ChipID=%02X\n", R8_CHIP_ID );
    PRINT("WE ARE AT app\r\n");
#if 1      
    

    
    TMR0_TimerInit( FREQ_SYS/10 );               
    TMR0_ITCfg(ENABLE, TMR0_3_IT_CYC_END);          
    NVIC_EnableIRQ( TMR0_IRQn );
    
#endif 


    while(1);    
}



void TMR0_IRQHandler( void )        // TMR0 ʱж
{
    if( TMR0_GetITFlag( TMR0_3_IT_CYC_END ) )
    {
        TMR0_ClearITFlag( TMR0_3_IT_CYC_END );      // жϱ־
        //GPIOB_InverseBits( GPIO_Pin_3 );      
        PRINT("WE ARE AT app interrupt \r\n");        
    }
}





